{% extends "admin/change_form.html" %}

{% block extrastyle %}
{{block.super}}
<style>
.inline-group .inline-related.has_original {
    background: white;
}
.inline-related fieldset.module {
    margin: 0;
    border: 0;
}
.inline-related .changelink {
    display: inline-block;
    position: relative;
    z-index: 10;
    margin-right: 0.4em;
    padding-left: 1em;
}
.inline-related .changelink::after {
    content: ' | ';
    padding-left: 0.4em;
}
.inline-related.has_original .form-row.field-admin_url {
    display: none;
}
.inline-related.has_original .inline_label a {
    position: relative;
    display: inline-block;
    z-index: 10;
}
.inline-related h3 .sortable-drag-handle {
    width: 40px !important;
}
.inline-group .add-row {
    position: relative;
    z-index: -1;
    opacity: 0;
}
</style>
{% endblock %}

{% block extrahead %}
{{block.super}}
<script>
    var $ = django.jQuery
    $(function() {
        $('.inline-group .inline-related.has_original').each(function (i, inline) {
            var $label = $(inline).find('.inline_label')

            // Create edit link
            var $link = $('<a class="changelink">Edit</a>')
            var url = $label.closest('.inline-related').find('.form-row.field-admin_url .readonly').text()
            $link.attr('href', url)
            $label.after($link)

            // modify inline_label to have link
            $label.html('<a href="' + url + '">' + $label.text() + '</a>')

            $(inline).find('a:contains(View on site)')
                .attr('target', '_blank')
                .attr('rel', 'noopener noreferrer')
        })
    })
</script>
{% endblock %}
